{
  "name": "{{ agave.appsPrefix }}-ncbi-sra-lftp-uploader-gf2",
  "version": "0.1.3",
  "label": "LFTP app to upload sra data to NCBI",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/ncbi-sra-lftp-uploader-gf2-0.1.3",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "ncbi-sra-lftp-uploader-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "reads",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "ftp_site",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "user",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "password",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "remote",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "new_output_dir",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "output",
      "value": {
        "required": false,
        "default": "output",
        "type": "string"
      }
    },
    { "id": "delete",
      "value": {
        "required": false,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": false,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": false,
        "default": ":",
        "type": "string"
      }
    }
  ]
}